function A = buildminij_genius(n)
% Eingabe der Funktion: natuerliche Zahl n
% Rueckgabe der Funktion: reelle Matrix A der Dimensionen nxn
    % Betrachten wir die Struktur von A genauer, stellen wir fest,
    % dass im oberen Dreieck die Eintraege in den Zeilen konstant ist,
    % und zwar immer die Zeilennummer angibt.
    % Dasselbe gilt im Unteren Dreieck fuer die Spalten.
    % Wir konstruieren deshalb eine Matrix T, welche ueberall den
    % Zeilenindex als Eintrag hat:
    T = (1:n).' * ones(1,n);
    % A erhalten wir somit, indem wir die obere Dreiecksmatrix von
    % T nehmen, dann die untere Dreiecksmatrix der transponierten
    % Matrix T, welche die Spaltenindizes repraesentiert.
    % Da wir nun die Diagonale doppelt gezaehlt haben, muessen wir
    % sie einmal wieder abziehen.
    A = triu(T) + tril(T') - diag(1:n);
end